Bug 16248 - ModZebra doesn't update zebraqueue if ES is enabled
Summary: ModZebra doesn't update zebraqueue if ES is enabled
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 12478
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-12 18:13 UTC by Tomás Cohen Arazi
Modified: 2016-12-05 21:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16248: ModZebra doesn't update zebraqueue if ES is enabled (3.24 KB, patch)
2016-04-12 18:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16248: ModZebra doesn't update zebraqueue if ES is enabled (3.29 KB, patch)
2016-04-12 21:19 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 16248: ModZebra doesn't update zebraqueue if ES is enabled (3.34 KB, patch)
2016-04-21 23:13 UTC, Jesse Weaver
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-04-12 18:13:20 UTC
The zebraqueue table should still be populated with updates if ES is enabled, so the Zebra indexer keeps the Z39.50/SRU indexes up to date.

To reproduce:
- Set SearchEngine = Elasticsearch
- Watch for zebraqueue changes
  $ watch -n 0.5 'echo "SELECT COUNT(*) FROM zebraqueue WHERE done=0" | sudo koha-mysql kohadev'
- Call touch_all_biblios.pl to simulate record changes
  $ sudo koha-shell kohadev ; cd kohaclone
  $ perl misc/maintenance/touch_all_biblios.pl -v 
=> FAIL: Notice the watch is not changing the number of records to be indexed.
Comment 1 Tomás Cohen Arazi 2016-04-12 18:37:06 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-04-12 21:19:06 UTC Comment hidden (obsolete)
Comment 3 Jesse Weaver 2016-04-21 23:13:56 UTC
Created attachment 50549 [details] [review]
Bug 16248: ModZebra doesn't update zebraqueue if ES is enabled

The zebraqueue table should still be populated with updates if ES is enabled, so
the Zebra indexer keeps the Z39.50/SRU indexes up to date.

To test:
- Set SearchEngine = Elasticsearch
- Watch for zebraqueue changes
  $ watch -n 0.5 'echo "SELECT COUNT(*) FROM zebraqueue WHERE done=0" | sudo koha-mysql kohadev'
- Call touch_all_biblios.pl to simulate record changes
  $ sudo koha-shell kohadev ; cd kohaclone
  $ perl misc/maintenance/touch_all_biblios.pl -v
=> FAIL: Notice the watch is not changing the number of records to be indexed.
- Apply the patch
- Call touch_all_biblios.pl to simulate record changes
  $ sudo koha-shell kohadev ; cd kohaclone
  $ perl misc/maintenance/touch_all_biblios.pl -v
=> SUCCESS: The count raises (more than 0) and the zebra indexer picks the updates.
- Sign off

Signed-off-by: Chris <chrisc@catalyst.net.nz>

Signed-off-by: Jesse Weaver <jweaver@bywatersolutions.com>
Comment 4 Brendan Gallagher 2016-04-22 22:54:42 UTC
*waiting for ES to be pushed.
Comment 5 Brendan Gallagher 2016-04-26 21:07:36 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 6 Julian Maurice 2016-05-16 08:01:44 UTC
Not needed in stable versions, status changed to RESOLVED